package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 租户配置表
 * </p>
 *
 * @author ya
 * @since 2022-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysTenantConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 租户名称
     */
    private String loginTitle;

    /**
     * 登录页log
     */
    private String loginLogo;

    /**
     * 登录页背景地址
     */
    private String loginBackUrl;

    /**
     * 登录页底部名称
     */
    private String loginFooter;

    /**
     * 登录类型
     */
    private String loginType;

    /**
     * 中间页logo地址
     */
    private String middleLogo;

    /**
     * 中间页背景URL
     */
    private String middleBackUrl;

    /**
     * 中间页标题
     */
    private String middleTitle;

    /**
     * 中间页底部名称
     */
    private String middleFooter;

    /**
     * 主页logo地址
     */
    private String homeLogo;

    /**
     * 主页默认访问地址
     */
    private String homePageUrl;

    /**
     * 主页导航布局
     */
    private Integer homeLayout;

    /**
     * 主页主题样式
     */
    private String homeStyle;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 标签页图标
     */
    private String labelIcon;

    /**
     * 是否开启中间页：0 否 1 是
     */
    private Integer middleStatus;

    /**
     * 大屏路径
     */
    private String largeScreenUrl;

    /**
     * 综合云图底图类型：1 地图 2 图片
     */
    private Integer cloudType;

    /**
     * 综合云图底图地址
     */
    private String cloudUrl;

    /**
     * 是否开启消息通知: 1、不开启 2、开启
     */
    private Integer messageStatus;
}